.introduce {
  width: 100%;
  background: #1d2028;
  padding-bottom: 6.625rem;
  padding-right: 10%;
  padding-left: 10%;
  .image {
    position: relative;
    width: 29.5rem;
    height: 29.125rem;
    margin-top: 8.875rem;
    .image_area {
      justify-content: center;
      display: flex;
      align-items: center;
      position: absolute;
      box-sizing: border-box;
    }
    .image-1 {
      top: 0;
      left: 0;
      width: 16.75rem;
      height: 16.75rem;
      border: 1.09914px solid #2bd9ff;
      box-shadow: 0px 2.19828px 0px #41ddff,
        0px 54.9569px 54.9569px rgba(65, 221, 255, 0.15);
    }

    .image-2 {
      top: 0;
      right: 0;
      width: 10.5rem;
      height: 10.5rem;
      border: 1.09914px solid #00e8b0;
      box-shadow: 0px 2.19828px 0px #00e8b0,
        0px 54.9569px 54.9569px rgba(65, 221, 255, 0.15);
    }

    .image-3 {
      bottom: 0;
      left: 0;
      width: 10.5rem;
      height: 10.5rem;
      border: 2.19828px solid #ff36d3;
      box-shadow: 0px 2.19828px 0px #ff00c7,
        0px 32.9741px 32.9741px rgba(255, 0, 199, 0.3);
    }

    .image-4 {
      bottom: 0;
      right: 0;
      width: 16.75rem;
      height: 16.75rem;
      background: #1d2028;
      border: 1.09914px solid #2bd9ff;
      box-shadow: 0px 2.19828px 0px #41ddff,
        0px 54.9569px 54.9569px rgba(65, 221, 255, 0.15);
    }
  }
  .content {
    margin-top: 8.875rem;
    margin-right: 1rem;
    margin-left: 1rem;
    .text {
      font-family: KanitBold;
      font-style: normal;
      font-weight: bold;
      font-size: 3rem;
      line-height: 3.25rem;
      text-transform: uppercase;
      color: #ff36d3;
      transition: all 0.8s ease-in-out;
    }
    #text-display-wrapper {
      margin-bottom: 2rem;
      height: auto;
      .text-display {
        width: fit-content;
        color: #fff;
        font-weight: 700;
        font-size: 25px !important;
      }
    }

    .group {
      display: flex;
      margin-top: 2.5rem;
      .item + .item {
        margin-left: 1rem;
      }
      .item {
        display: flex;
        justify-content: center;
        box-sizing: border-box;
        width: 9.175rem;
        height: 3.25rem;
        cursor: pointer;
        .text2 {
          font-family: Kanit;
          font-style: normal;
          font-weight: bold;
          font-size: 1.125rem;
          line-height: 1.6875rem;
          /* identical to box height */

          display: flex;
          align-items: center;
          text-align: center;
          letter-spacing: 0.03em;
        }
      }

      .item-1 {
        border: 2px solid #ff00c7;
        color: #ff00c7;
        position: relative;
        &:hover {
          background: #ff00c7;
          color: #fff;
        }
      }

      .item-1:after {
        content: "";
        width: 1.3125rem;
        height: 1.25rem;
        background: #1d2028;
        border-top: 2px solid #ff00c7;
        position: absolute;
        bottom: -0.625rem;
        left: -0.6875rem;
        transform: rotate(45deg);
      }

      .item-2 {
        border: 2px solid #00e8b0;
        color: #00e8b0;
        position: relative;
        &:hover {
          background: #00e8b0;
          color: #fff;
        }
      }

      .item-2:after {
        content: "";
        width: 1.3125rem;
        height: 1.25rem;
        background: #1d2028;
        border-top: 2px solid #00e8b0;
        position: absolute;
        bottom: -0.625rem;
        left: -0.6875rem;
        transform: rotate(45deg);
      }

      .item-3 {
        border: 2px solid #41ddff;
        color: #41ddff;
        position: relative;
        &:hover {
          background: #41ddff;
          color: #fff;
        }
      }

      .item-3:after {
        content: "";
        width: 1.3125rem;
        height: 1.25rem;
        background: #1d2028;
        border-top: 2px solid #41ddff;
        position: absolute;
        bottom: -0.625rem;
        left: -0.6875rem;
        transform: rotate(45deg);
      }
    }

    .detail {
      margin-top: 3.625rem;
      display: grid;
      .text3 + .text3 {
        margin-top: 1.8125rem;
      }
      .text3 {
        font-family: Poppins;
        font-style: normal;
        font-weight: 300;
        font-size: 0.9375rem;
        line-height: 1.5rem;
        text-align: justify;
        color: #d8e2ea;
      }
    }
  }
}

@media only screen and (max-width: 1500px) {
  .introduce {
    .content {
      margin-left: 5rem;
    }
  }
}

@media only screen and (max-width: 1200px) {
  .block {
    justify-content: center;
    display: flex;
    align-items: center;
  }
  .introduce {
    .content {
      margin-left: 1rem;
    }
  }
}

@media only screen and (max-width: 576px) {
  .introduce {
    padding-bottom: 5rem;
    .image,
    .content {
      margin-top: 5rem;
      #text-display-wrapper {
        margin-bottom: 2rem;
        height: 8rem !important;
      }
    }
  }
}

@media only screen and (max-width: 440px) {
  .introduce {
    .image {
      .image-1 {
        width: 15.75rem;
        height: 15.75rem;
      }
      .image-2,
      .image-3 {
        width: 9.5rem;
        height: 9.5rem;
      }

      .image-4 {
        width: 15.75rem;
        height: 15.75rem;
        img {
          width: 14.25rem !important;
          height: 14.25rem !important;
        }
      }
    }
  }
}

@media only screen and (max-width: 400px) {
  .introduce {
    .image {
      .image-1 {
        width: 13.75rem;
        height: 13.75rem;
      }
      .image-2,
      .image-3 {
        width: 9.5rem;
        height: 9.5rem;
      }
      .image-4 {
        width: 13.75rem;
        height: 13.75rem;
        img {
          width: 12.25rem !important;
          height: 12.25rem !important;
        }
      }
    }
  }
}
